=== debian/changelog ===
qgis (2.18.1) UNRELEASED; urgency=medium

  * Release of 2.18.1

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 25 Nov 2016 14:13:12 +0100

qgis (2.18.0) unstable; urgency=medium

  * Release of 2.18.0

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 25 Nov 2016 14:13:12 +0100

qgis (2.17.0) unstable; urgency=medium

  * New development version 2.17 after branch of 2.16
  * drop support for debian wheezy and ubuntu wily
  * add python-requests dependency for metasearch plugin
  * lintian fixes
  * add version constraint to libqgis-customwidgets dependency.

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 21 Oct 2016 14:14:02 +0200

qgis (2.16.0) unstable; urgency=medium

  * Release of 2.16.0

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 08 Jul 2016 14:12:35 +0200

qgis (2.15.0) unstable; urgency=medium

  [ Jürgen E. Fischer ]
  * New development version 2.15 after branch of 2.14
  * drop ubuntu utopic and vivid
  * refine GSL build dependency
  * limit python-future to stretch, sid, wily and xenial
  * include qgis.qch in qgis-api-doc
  * include arcgis rest provider
  * add python-future as dependency for python-qgis

  [ Matthias Kuhn ]
  * Add dependency to python-future

  [ Bas Couwenberg ]
  * Fix removal of obsolete diversions for bother the grass plugin & provider.
    (closes: #817176)

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 08 Jul 2016 14:11:47 +0200

qgis (2.14.0) unstable; urgency=medium

  * Release of 2.14.0

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 26 Feb 2016 13:23:49 +0100

qgis (2.13.0) unstable; urgency=medium

  * New development version 2.13 after branch of 2.12
  * add dependencies to gdal-bin, python-psycopg2, python-yaml, python-mock
    and python-nose2 for tests
  * update optional oracle dependency to 12.1
  * upgrade python-qgis from Recommends to Depends
  * downgrade liblwgeom dependency to Recommends
  * remove coding documentation
  * replace grass plugin diversion to wrapper in qgis package
  * remove spit plugin
  * add support for ubuntu xenial

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 26 Feb 2016 13:23:48 +0100

qgis (2.12.0) unstable; urgency=medium

  * Release of 2.12.0

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 23 Oct 2015 14:11:22 +0200

qgis (2.11.0) unstable; urgency=medium

  * New development version 2.11 after branch of 2.10
  * moved grass default.qgc from config to modules
  * include grass7 plugin
  * move grass provider to separate package
  * add ubuntu wily and debian stretch
  * add dependencies to qca2 and python-qt4-sql for new auth system
    and jquery and leaflet for developer map
  * separate libqgis_app to separate package
  * include geometry checker and snapper plugins
  * merge downstream debian changes from Bas Couwenberg

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 23 Oct 2015 14:10:38 +0200

qgis (2.10.0) unstable; urgency=medium

  * Release of 2.10.0

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 26 Jun 2015 14:39:38 +0200

qgis (2.9.0) unstable; urgency=medium

  * New development version 2.9 after branch of 2.8
  * include dependency to liblwgeom
  * 'stretch' package a bit
  * merge downstream addition of debug package
  * make build directory configurable
  * include links to qt4 documentation in api docs
  * include browser icons
  * include libqt4-sql-sqlite and python-pyspatialite as build dependency

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 26 Jun 2015 14:38:57 +0200

qgis (2.8.0) unstable; urgency=medium

  * Release of 2.8

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 20 Feb 2015 13:06:05 +0100

qgis (2.7.0) unstable; urgency=medium

  * New development version 2.7 after branch of 2.6
  * run tests in en_US.UTF-8 locale
  * add build dependency to python-qscintilla2 for tests
  * rename libqgis-customwidgets{QGIS_ABI} to libqgis-customwidgets
  * merge some downstream debian changes
  * drop support for ubuntu saucy and add vivid

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 20 Feb 2015 13:05:35 +0100

qgis (2.6.0) unstable; urgency=medium

  * Release of 2.6

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 31 Oct 2014 13:00:45 +0100

qgis (2.5.0) unstable; urgency=medium

  * New development version 2.5 after branch of 2.4
  * add libqscintilla2-dev as build dependency
  * add remove sqlanywhere plugin and provider
  * drop support for ubuntu quantal and raring and add utopic
  * merge downstream debian changes
  * add build dependency to pyqt4.qsci-dev
  * adapt debian downstream changes

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 31 Oct 2014 13:00:09 +0100

qgis (2.4.0) unstable; urgency=medium

  * Release of 2.4

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 27 Jun 2014 14:00:54 +0200

qgis (2.3.0) unstable; urgency=medium

  * New development version 2.3 after branch of 2.2
  * enable globe on jessie
  * add dependency on libqt4-sql-sqlite to qgis-provider
  * merge debian packageing changes
  * merge distribution specific file templates into one file template
  * include metasearch plugins and add it's dependencies
  * include custom widgets

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 27 Jun 2014 14:00:08 +0200

qgis (2.2.0) unstable; urgency=medium

  * Release of 2.2

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 22 Feb 2014 09:49:29 +0100

qgis (2.1.0) unstable; urgency=low

  * new development version 2.1 after branch of 2.0
  * drop qgis_icon.xpm and use "upstream" version
  * Update Qt dependency to 4.7
  * drop support for Debian squeeze and Ubuntu lucid, maverick, natty and oneiric
  * add support for Ubuntu trusty
  * run crssync on copy of srs.db (Closes #738117)

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 22 Feb 2014 09:48:46 +0100

qgis (1.9.0) UNRELEASED; urgency=low

  * new development version 1.9 after branch of 1.8
  * include ows provider
  * include wcs provider
  * symbology-ng-style now in sqlite3
  * include cpt-city files
  * support DEB_BUILD_OPTIONS' parallel=n
  * add python-unittest2 build dependency for maverick and squeeze

